$ErrorActionPreference = 'Stop'

$url64 = "https://github.com/infracost/infracost/releases/download/v0.10.33/infracost-windows-amd64.zip"
$unzipLocation = Split-Path -Parent $MyInvocation.MyCommand.Definition

$packageParams = @{
  PackageName   = 'infracost'
  UnzipLocation = $unzipLocation
  Url64         = $url64
  Checksum64    = 'A7703B712DF641D782F649564F787D0AA867324A88EDD7F88BE5F37BD9DD0566'
  ChecksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageParams
